{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static "css/pantry_picker.css"  %}">
  <title>
    {% block title %}
    {% endblock title %}
  </title>
</head>


<body style="background-color: #eeeeee;">
  <header>
    <div id="mySidenav" class="sidenav">
      <nav>
        <a href="{% url 'home_page' %}">Home</a>
        {% if user.is_authenticated %}
        <a href="{% url 'pantry_list' %}">My Pantry</a>
        <a href="{% url 'recipe_list' %}">My Recipes</a>
        <a href="{% url 'logout_user' %}">Log out</a>
        {% else %}
        <a href="{% url 'login_user' %}">Log in</a>
        <a href="{% url 'signup_user' %}">Sign up</a>
        {% endif %}
      </nav>
    </div>
  </header>

  <div id="main">
  {% block content %}
  {% endblock content %}
  </div>
</body>
</html>

<script>
function openNav() {
document.getElementById("mySidenav").style.width="250px";
document.getElementById("main").style.marginLeft="250px";
}
</script>
<script>
function closeNav() {
document.getElementById("mySidenav").style.width="0";
document.getElementById("main").style.marginLeft="0";
}
</script>
